org.apache.tinkerpop.gremlin.process.traversal.util

## Class SideEffectHelper

- java.lang.Object
- - org.apache.tinkerpop.gremlin.process.traversal.util.SideEffectHelper

-     public final class SideEffectHelper
      extends Object

  Author:
    Marko A. Rodriguez (http://markorodriguez.com)

- - ### Method Summary

    All Methods Static Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `validateSideEffectKey(String key)`
    `static void` | `validateSideEffectKeyValue(String key, Object value)` Deprecated. As of release 3.5.3, not replaced as there is really no general validation anymore for values since `null` is now accepted.
    `static void` | `validateSideEffectValue(Object value)` Deprecated. As of release 3.5.3, not replaced as there is really no general validation anymore for values since `null` is now accepted.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### validateSideEffectKey

          public static void validateSideEffectKey(String key)
                                            throws IllegalArgumentException

      Throws:
        `IllegalArgumentException`

    - #### validateSideEffectValue

          @Deprecated
          public static void validateSideEffectValue(Object value)
                                                          throws IllegalArgumentException

      Deprecated. As of release 3.5.3, not replaced as there is really no general validation anymore for values since `null` is now accepted.
      Throws:
        `IllegalArgumentException`

    - #### validateSideEffectKeyValue

          @Deprecated
          public static void validateSideEffectKeyValue(String key,
                                                                    Object value)
                                                             throws IllegalArgumentException

      Deprecated. As of release 3.5.3, not replaced as there is really no general validation anymore for values since `null` is now accepted.
      Throws:
        `IllegalArgumentException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.